geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Strachan" <james.strac...@gmail.com>
Subject [VOTE] Release 2.5 of XBean
Date Tue, 11 Jul 2006 10:42:17 GMT
I've just applied 2 trivial bug fixes to the xbean-spring module of XBean.

The first is a patch from Guillaume which is a one liner to create the
xml parser using a helper method (used by all the other
ApplicationContext implementations).
http://issues.apache.org/jira/browse/XBEAN-21

The other is a trivial fix but has a major impact. Version 2.0-rc2 of
spring barfs if you pass a null ClassLoader into the NamespaceHandler
stuff - however the regression tests for 2.0-rc1 and 2.0-m5 work fine.
Basically this means that all projects using xbean-spring (such as
ActiveMQ, OpenEJB, XFire, ServiceMix, Jetty etc) will all break if the
user upgrades from 2.0-m5 or 2.0-rc1 of spring to 2.0-rc2.

I've just added a one liner to use the current threads context class
loader if the class loader is null to avoid the exception which seems
to work fine. (I added a regression test for 2.0-rc2 by just cut and
pasting the regression test for 2.0-rc1 which reproduced the error so
I could test the fix worked).

Due to the serious nature of this bug (and we've already had a few
user mails on ActiveMQ about this already and spring 2.0-rc2 has only
been out a short time) I'd like us to get a release of xbean out ASAP
to avoid users hittitng this issue.

Here's my +1

-- 

James
-------
http://radio.weblogs.com/0112098/

Mime
View raw message